/*
	construct an instance of the specific class depending on the protocol
*/

import java.io.*;
import java.util.*;

public class ModuleFactory {

	public static dataAccess createModule(String protocol) {

		dataAccess result = null;

		if (protocol.equals("file")) {

			result = new fileModule();
	
		} else if (protocol.equals("jdbc")) {

			result = new jdbcModule();

		} else if (protocol.equals("web")) {

			result = new httpModule();

		} else {

			try {

				throw new ProtocolNotSupportedException(protocol);

			} catch (Exception e) {

				e.printStackTrace();
				System.exit(0);
			}
		}

		return result;
	}
}

